package com.jsh.erp.datasource.dto;

import com.alibaba.fastjson.JSONArray;
import com.jsh.erp.datasource.entities.Material;
import com.jsh.erp.datasource.entities.MaterialBatch;
import com.jsh.erp.datasource.entities.MaterialExtend;
import com.jsh.erp.datasource.entities.MaterialInitialStock;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 商品信息
 */
@Data
public class MaterialDto extends Material {

    @ApiModelProperty("商品条码信息")
    private List<MaterialExtend> mbList;

    @ApiModelProperty("商品库存信息")
    private List<MaterialInitialStock> stock;

    private JSONArray sortList;



}
