package com.jsh.erp.datasource.pda.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class PDADepotMaterialDto {

    @ApiModelProperty("条码")
    private String barCode;

    @ApiModelProperty("批次号")
    private String batchNumber;

    @ApiModelProperty("商品数量")
    private BigDecimal materialNumber;

    @ApiModelProperty("生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date productionDate;

}
